<?php

namespace Modules\Order\Interfaces;

use Illuminate\Http\Request;
use Modules\Order\Models\Order;

interface OrderRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Order $order);
    public function create(Request $request): Order;
    public function update(Request $request,Order $order): Order;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request,int $id):array;
    public function restoreAll(Request $request): array;
}
